| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XSObject.hpp File Reference Include dependency graph for XSObject.hpp: This graph shows which files directly or indirectly include this file: Go to the source code of this file.
## Compounds
class | XSObject
## Defines
#define | XSOBJECT_HPP
## Variables
XERCES_CPP_NAMESPACE_BEGIN class | XSNamespaceItem
| The XSObject forms the base of the Schema Component Model. More...
## Define Documentation
#define XSOBJECT_HPP
## Variable Documentation
XERCES_CPP_NAMESPACE_BEGIN class XSNamespaceItem
| The XSObject forms the base of the Schema Component Model. It contains all properties common to the majority of XML Schema components. This is *always* owned by the validator /parser object from which it is obtained. It is designed to be subclassed; subclasses will specify under what conditions it may be relied upon to have meaningful contents.

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.